package com.steerinfo.ems.trmcalpoint.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class TRmCalpoint implements IBasePO<String> {
    /**
     * 计量点编号(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String itemid;

    /**
     * 计量点名称(ITEMNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String itemname;

    /**
     * 描述信息(ITEMDESC,VARCHAR,200)
     */
    @ApiModelProperty(value="描述信息",required=true)
    private String itemdesc;

    /**
     * 位置(LOCATEID,VARCHAR,40)
     */
    @ApiModelProperty(value="位置",required=true)
    private String locateid;

    /**
     * 站所ID(NETWORKID,VARCHAR,40)
     */
    @ApiModelProperty(value="站所ID",required=true)
    private String networkid;

    /**
     * 能介ID(ENERGYID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介ID",required=true)
    private String energyid;

    /**
     * 能介大类(ENERGYTYPEID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介大类",required=true)
    private String energytypeid;

    /**
     * 计量单位ID(UNITID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量单位ID",required=true)
    private String unitid;

    /**
     * 工序ID(COSTID,VARCHAR,40)
     */
    @ApiModelProperty(value="成本中心ID",required=true)
    private String costid;

    /**
     * 手抄或者自动(ITEMTYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="手抄或者自动",required=true)
    private String itemtype;

    /**
     * 用能属性(PROPERTYID,VARCHAR,40)
     */
    @ApiModelProperty(value="用能属性",required=true)
    private String propertyid;

    /**
     * 仪表ID(TAGID,VARCHAR,60)
     */
    @ApiModelProperty(value="仪表ID",required=true)
    private String tagid;

    /**
     * 仪表名称(TAGNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="仪表名称",required=true)
    private String tagname;

    /**
     * TAG点别名(TAG_ALIAS,VARCHAR,60)
     */
    @ApiModelProperty(value="TAG点别名",required=true)
    private String tagAlias;

    /**
     * 是否启用(USEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否启用",required=true)
    private String useflag;

    /**
     * 默认值(DEFAULTVALUE,VARCHAR,40)
     */
    @ApiModelProperty(value="默认值",required=true)
    private String defaultvalue;

    /**
     * 精度(DIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="精度",required=true)
    private Short digits;

    /**
     * 计算顺序(SEQNO,DECIMAL,10)
     */
    @ApiModelProperty(value="计算顺序",required=true)
    private Long seqno;

    /**
     * 点状态(STATUS,VARCHAR,1)
     */
    @ApiModelProperty(value="点状态",required=true)
    private String status;

    /**
     * 级别(NODE,VARCHAR,10)
     */
    @ApiModelProperty(value="级别",required=true)
    private String node;

    /**
     * 父级ID(PARENTID,VARCHAR,40)
     */
    @ApiModelProperty(value="父级ID",required=true)
    private String parentid;

    /**
     * 备用代码(BCODE,VARCHAR,60)
     */
    @ApiModelProperty(value="备用代码",required=true)
    private String bcode;

    /**
     * 备用描述1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用描述1",required=true)
    private String bdesc1;

    /**
     * 备用描述2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用描述2",required=true)
    private String bdesc2;

    /**
     * 备用类型1(BTYPE1,VARCHAR,40)
     */
    @ApiModelProperty(value="备用类型1",required=true)
    private String btype1;

    /**
     * 备用类型2(BTYPE2,VARCHAR,40)
     */
    @ApiModelProperty(value="备用类型2",required=true)
    private String btype2;

    /**
     * 跳变范围(RANGE_VAL,DECIMAL,30)
     */
    @ApiModelProperty(value="跳变范围",required=true)
    private BigDecimal rangeVal;

    /**
     * 瞬时信号ID(TAG_ID_MAP,VARCHAR,60)
     */
    @ApiModelProperty(value="瞬时信号ID",required=true)
    private String tagIdMap;

    /**
     * 计算模式(CALC_MOD,VARCHAR,1)
     */
    @ApiModelProperty(value="计算模式",required=true)
    private String calcMod;

    /**
     * 数据类型(DATA_TYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="数据类型",required=true)
    private String dataType;

    /**
     * 对应数据表(TAG_TABLE,VARCHAR,60)
     */
    @ApiModelProperty(value="对应数据表",required=true)
    private String tagTable;

    /**
     * 最大值标志位(MAX_VAL,VARCHAR,1)
     */
    @ApiModelProperty(value="最大值标志位",required=true)
    private String maxVal;

    /**
     * 最小值标志位(MIN_VAL,VARCHAR,1)
     */
    @ApiModelProperty(value="最小值标志位",required=true)
    private String minVal;

    /**
     * 平均值标志位(AVG_VAL,VARCHAR,1)
     */
    @ApiModelProperty(value="平均值标志位",required=true)
    private String avgVal;

    /**
     * 累计值标志位(SUM_VAL,VARCHAR,1)
     */
    @ApiModelProperty(value="累计值标志位",required=true)
    private String sumVal;

    /**
     * 倍率(TAG_MODULUS,DECIMAL,0)
     */
    @ApiModelProperty(value="倍率",required=true)
    private BigDecimal tagModulus;

    /**
     * 仪表类型(METER_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="仪表类型",required=true)
    private String meterType;

    /**
     * 准点值精度(METER_SCALE,DECIMAL,0)
     */
    @ApiModelProperty(value="准点值精度",required=true)
    private Short meterScale;

    /**
     * 仪表位置(METER_LOC,VARCHAR,60)
     */
    @ApiModelProperty(value="仪表位置",required=true)
    private String meterLoc;

    /**
     * 异常点标签(TAG_BAD_SYMBOL,VARCHAR,60)
     */
    @ApiModelProperty(value="异常点标签",required=true)
    private String tagBadSymbol;

    /**
     * 数据来源(SOURCE_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="数据来源",required=true)
    private String sourceType;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建时间",required=true)
    private String recTime;

    /**
     * 是否结算项(ISSETTLE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否结算项",required=true)
    private String issettle;

    /**
     * 是否调度项(ISSCHEDULE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否调度项",required=true)
    private String isschedule;

    /**
     * 列名(TAG_COL,VARCHAR,60)
     */
    @ApiModelProperty(value="列名",required=true)
    private String tagCol;
    
    /**
     * 显示顺序(SHOWNO,DECIMAL,10)
     */
    @ApiModelProperty(value="显示顺序",required=true)
    private Long showno;

    /**
     * 操作人(REC_MAN,VARCHAR,255)
     */
    @ApiModelProperty(value="操作人",required=true)
    private String recman;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;
    
    /**
     * 最小时间粒度(MINTIMEGRANID,VARCHAR,30)
     */
    @ApiModelProperty(value="最小时间粒度",required=false)
    private String mintimegranid;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemid;
    }

    @Override
    public void setId(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getItemdesc() {
        return itemdesc;
    }

    public void setItemdesc(String itemdesc) {
        this.itemdesc = itemdesc == null ? null : itemdesc.trim();
    }

    public String getLocateid() {
        return locateid;
    }

    public void setLocateid(String locateid) {
        this.locateid = locateid == null ? null : locateid.trim();
    }

    public String getNetworkid() {
        return networkid;
    }

    public void setNetworkid(String networkid) {
        this.networkid = networkid == null ? null : networkid.trim();
    }

    public String getEnergyid() {
        return energyid;
    }

    public void setEnergyid(String energyid) {
        this.energyid = energyid == null ? null : energyid.trim();
    }

    public String getEnergytypeid() {
        return energytypeid;
    }

    public void setEnergytypeid(String energytypeid) {
        this.energytypeid = energytypeid == null ? null : energytypeid.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getCostid() {
        return costid;
    }

    public void setCostid(String costid) {
        this.costid = costid == null ? null : costid.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getPropertyid() {
        return propertyid;
    }

    public void setPropertyid(String propertyid) {
        this.propertyid = propertyid == null ? null : propertyid.trim();
    }

    public String getTagid() {
        return tagid;
    }

    public void setTagid(String tagid) {
        this.tagid = tagid == null ? null : tagid.trim();
    }

    public String getTagname() {
        return tagname;
    }

    public void setTagname(String tagname) {
        this.tagname = tagname == null ? null : tagname.trim();
    }

    public String getTagAlias() {
        return tagAlias;
    }

    public void setTagAlias(String tagAlias) {
        this.tagAlias = tagAlias == null ? null : tagAlias.trim();
    }

    public String getUseflag() {
        return useflag;
    }

    public void setUseflag(String useflag) {
        this.useflag = useflag == null ? null : useflag.trim();
    }

    public String getDefaultvalue() {
        return defaultvalue;
    }

    public void setDefaultvalue(String defaultvalue) {
        this.defaultvalue = defaultvalue == null ? null : defaultvalue.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public Long getSeqno() {
        return seqno;
    }

    public void setSeqno(Long seqno) {
        this.seqno = seqno;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node == null ? null : node.trim();
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid == null ? null : parentid.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    public String getBtype1() {
        return btype1;
    }

    public void setBtype1(String btype1) {
        this.btype1 = btype1 == null ? null : btype1.trim();
    }

    public String getBtype2() {
        return btype2;
    }

    public void setBtype2(String btype2) {
        this.btype2 = btype2 == null ? null : btype2.trim();
    }

    public BigDecimal getRangeVal() {
        return rangeVal;
    }

    public void setRangeVal(BigDecimal rangeVal) {
        this.rangeVal = rangeVal;
    }

    public String getTagIdMap() {
        return tagIdMap;
    }

    public void setTagIdMap(String tagIdMap) {
        this.tagIdMap = tagIdMap == null ? null : tagIdMap.trim();
    }

    public String getCalcMod() {
        return calcMod;
    }

    public void setCalcMod(String calcMod) {
        this.calcMod = calcMod == null ? null : calcMod.trim();
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    public String getTagTable() {
        return tagTable;
    }

    public void setTagTable(String tagTable) {
        this.tagTable = tagTable == null ? null : tagTable.trim();
    }

    public String getMaxVal() {
        return maxVal;
    }

    public void setMaxVal(String maxVal) {
        this.maxVal = maxVal == null ? null : maxVal.trim();
    }

    public String getMinVal() {
        return minVal;
    }

    public void setMinVal(String minVal) {
        this.minVal = minVal == null ? null : minVal.trim();
    }

    public String getAvgVal() {
        return avgVal;
    }

    public void setAvgVal(String avgVal) {
        this.avgVal = avgVal == null ? null : avgVal.trim();
    }

    public String getSumVal() {
        return sumVal;
    }

    public void setSumVal(String sumVal) {
        this.sumVal = sumVal == null ? null : sumVal.trim();
    }

    public BigDecimal getTagModulus() {
        return tagModulus;
    }

    public void setTagModulus(BigDecimal tagModulus) {
        this.tagModulus = tagModulus;
    }

    public String getMeterType() {
        return meterType;
    }

    public void setMeterType(String meterType) {
        this.meterType = meterType == null ? null : meterType.trim();
    }

    public Short getMeterScale() {
        return meterScale;
    }

    public void setMeterScale(Short meterScale) {
        this.meterScale = meterScale;
    }

    public String getMeterLoc() {
        return meterLoc;
    }

    public void setMeterLoc(String meterLoc) {
        this.meterLoc = meterLoc == null ? null : meterLoc.trim();
    }

    public String getTagBadSymbol() {
        return tagBadSymbol;
    }

    public void setTagBadSymbol(String tagBadSymbol) {
        this.tagBadSymbol = tagBadSymbol == null ? null : tagBadSymbol.trim();
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType == null ? null : sourceType.trim();
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getIssettle() {
        return issettle;
    }

    public void setIssettle(String issettle) {
        this.issettle = issettle == null ? null : issettle.trim();
    }

    public String getIsschedule() {
        return isschedule;
    }

    public void setIsschedule(String isschedule) {
        this.isschedule = isschedule == null ? null : isschedule.trim();
    }

    public String getTagCol() {
        return tagCol;
    }

    public void setTagCol(String tagCol) {
        this.tagCol = tagCol == null ? null : tagCol.trim();
    }

    public String getRecman() {
        return recman;
    }

    public void setRecman(String recman) {
        this.recman = recman == null ? null : recman.trim();
    }
    
    public Long getShowno() {
		return showno;
	}

	public void setShowno(Long showno) {
		this.showno = showno;
	}

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

	public String getMintimegranid() {
		return mintimegranid;
	}

	public void setMintimegranid(String mintimegranid) {
		this.mintimegranid = mintimegranid;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", itemdesc=").append(itemdesc);
        sb.append(", locateid=").append(locateid);
        sb.append(", networkid=").append(networkid);
        sb.append(", energyid=").append(energyid);
        sb.append(", energytypeid=").append(energytypeid);
        sb.append(", unitid=").append(unitid);
        sb.append(", costid=").append(costid);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", propertyid=").append(propertyid);
        sb.append(", tagid=").append(tagid);
        sb.append(", tagname=").append(tagname);
        sb.append(", tagAlias=").append(tagAlias);
        sb.append(", useflag=").append(useflag);
        sb.append(", defaultvalue=").append(defaultvalue);
        sb.append(", digits=").append(digits);
        sb.append(", seqno=").append(seqno);
        sb.append(", showno=").append(showno);
        sb.append(", status=").append(status);
        sb.append(", node=").append(node);
        sb.append(", parentid=").append(parentid);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", btype1=").append(btype1);
        sb.append(", btype2=").append(btype2);
        sb.append(", rangeVal=").append(rangeVal);
        sb.append(", tagIdMap=").append(tagIdMap);
        sb.append(", calcMod=").append(calcMod);
        sb.append(", dataType=").append(dataType);
        sb.append(", tagTable=").append(tagTable);
        sb.append(", maxVal=").append(maxVal);
        sb.append(", minVal=").append(minVal);
        sb.append(", avgVal=").append(avgVal);
        sb.append(", sumVal=").append(sumVal);
        sb.append(", tagModulus=").append(tagModulus);
        sb.append(", meterType=").append(meterType);
        sb.append(", meterScale=").append(meterScale);
        sb.append(", meterLoc=").append(meterLoc);
        sb.append(", tagBadSymbol=").append(tagBadSymbol);
        sb.append(", sourceType=").append(sourceType);
        sb.append(", recTime=").append(recTime);
        sb.append(", issettle=").append(issettle);
        sb.append(", isschedule=").append(isschedule);
        sb.append(", tagCol=").append(tagCol);
        sb.append(", recman=").append(recman);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", mintimegranid=").append(mintimegranid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}